Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.actions.LaunchAction Class Reference
Inheritance diagram for foxit.pdf.actions.LaunchAction:

## Public Member Functions
| LaunchAction (Action action)
| Constructor, with parent class object. More...
FileSpec | GetFileSpec ()
| Get the file specification which specifies the application to be launched or the document to be opened or printed. More...
Action.NewWindowFlag | GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
string | GetWinAppOperation ()
| (Windows-specific launch parameters) Get the operation name. More...
string | GetWinAppParameter ()
| (Windows-specific launch parameters) Get parameter string to be passed to the specified application. More...
string | GetWinDefaultDirectory ()
| (Windows-specific launch parameters) Get the default directory in standard DOS syntax. More...
string | GetWinFileName ()
| (Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed. More...
void | SetFileSpec (FileSpec file_specification)
| Set a file specification which specifies an application to be launched or a document to be opened or printed. More...
void | SetNewWindowFlag (Action.NewWindowFlag flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
void | SetWinLaunchParameter (string file_name, string default_directory, string operation, string app_parameter)
| (Windows-specific launch parameters)Set Windows-specific launch parameters. More...
Public Member Functions inherited from foxit.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Action.Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, Action sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, Action sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.actions.Action
enum | NewWindowFlag { NewWindowFlag.e_NewWindowFlagFalse = 0, NewWindowFlag.e_NewWindowFlagTrue = 1, NewWindowFlag.e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeGoto = 1, Type.e_TypeGoToR = 2, Type.e_TypeGoToE = 3, Type.e_TypeLaunch = 4, Type.e_TypeThread = 5, Type.e_TypeURI = 6, Type.e_TypeSound = 7, Type.e_TypeMovie = 8, Type.e_TypeHide = 9, Type.e_TypeNamed = 10, Type.e_TypeSubmitForm = 11, Type.e_TypeResetForm = 12, Type.e_TypeImportData = 13, Type.e_TypeJavaScript = 14, Type.e_TypeSetOCGState = 15, Type.e_TypeRendition = 16, Type.e_TypeTrans = 17, Type.e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit.pdf.actions.Action
static Action | Create (PDFDoc document, Action.Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Launch action is to launch an application, usually to open a file. Class foxit.pdf.actions.LaunchAction is derived from Action and offers functions to get/set launch action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ LaunchAction()

foxit.pdf.actions.LaunchAction.LaunchAction | ( | Action | action | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetFileSpec()

FileSpec foxit.pdf.actions.LaunchAction.GetFileSpec | ( |  | ) |
| inline

Get the file specification which specifies the application to be launched or the document to be opened or printed.

Returns
  A file specification object. If the return value of function FileSpec.IsEmpty for the returned file specification object is true, that means no such property is found.

## ◆ GetNewWindowFlag()

Action.NewWindowFlag foxit.pdf.actions.LaunchAction.GetNewWindowFlag | ( |  | ) |
| inline

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:

  - foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagTrue means to open the destination document in a new window.

  - foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.

  - foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ GetWinAppOperation()

string foxit.pdf.actions.LaunchAction.GetWinAppOperation | ( |  | ) |
| inline

(Windows-specific launch parameters) Get the operation name.

Standard strings for operation name are:

- "open": Open a document.

- "print": Print a document

If the file name of Windows-specific launch parameters represents an application, the operation name would be useless for current action.

Returns
  Operation name.

## ◆ GetWinAppParameter()

string foxit.pdf.actions.LaunchAction.GetWinAppParameter | ( |  | ) |
| inline

(Windows-specific launch parameters) Get parameter string to be passed to the specified application.

If the file name of Windows-specific launch parameters represents a document, app parameter string will be ignored.

Returns
  Parameter string.

## ◆ GetWinDefaultDirectory()

string foxit.pdf.actions.LaunchAction.GetWinDefaultDirectory | ( |  | ) |
| inline

(Windows-specific launch parameters) Get the default directory in standard DOS syntax.

Returns
  Default directory.

## ◆ GetWinFileName()

string foxit.pdf.actions.LaunchAction.GetWinFileName | ( |  | ) |
| inline

(Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed.

Returns
  File name.

## ◆ SetFileSpec()

void foxit.pdf.actions.LaunchAction.SetFileSpec | ( | FileSpec | file_specification | ) |
| inline

Set a file specification which specifies an application to be launched or a document to be opened or printed.

Parameters

  [in] | file_specification | A valid file specification object. This object should be in the same document with current action object.

Returns
  None.

## ◆ SetNewWindowFlag()

void foxit.pdf.actions.LaunchAction.SetNewWindowFlag | ( | Action.NewWindowFlag | flag | ) |
| inline

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagTrue means to open the destination document in a new window. foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. foxit.pdf.actions.Action.NewWindowFlag.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ SetWinLaunchParameter()

void foxit.pdf.actions.LaunchAction.SetWinLaunchParameter | ( | string | file_name,
|  | string | default_directory,
|  | string | operation,
|  | string | app_parameter
| ) |  |
| inline

(Windows-specific launch parameters)Set Windows-specific launch parameters.

This function is used to set Windows-specific launch parameters. Parameter file_name is necessary and can represent either an application or a document. When parameter file_name represents an application, parameters operation and app_parameter are useless.

Parameters

  [in] | file_name | The file name of the application to be launched or the document to be opened or printed. It should not be an empty string.
  [in] | default_directory | Default directory in standard DOS syntax.
  [in] | operation | Operation name. This can be an empty string. If this is not an empty string, it should be one of following strings: "open": Open a document. "print": Print a document
  [in] | app_parameter | Parameter string to be passed to the specified application.

Returns
  None.